<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Customers\Controllers\AddressesController;
use App\Http\ApiV1\Modules\Customers\Controllers\AvatarsController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomersController;
use App\Http\ApiV1\Modules\Customers\Controllers\StatusesController;
use Illuminate\Support\Facades\Route;

Route::post('customers/customers:search', [CustomersController::class, 'search']);
Route::post('customers/customers:search-one', [CustomersController::class, 'searchOne']);
Route::post('customers/customers', [CustomersController::class, 'create']);
Route::post('customers/customers:verify-email', [CustomersController::class, 'verifyEmail']);
Route::post('customers/customers/{id}:upload-avatar', [AvatarsController::class, 'upload']);
Route::post('customers/customers/{id}:delete-avatar', [AvatarsController::class, 'delete']);
Route::post('customers/customers/{id}:delete-personal-data', [CustomersController::class, 'deletePersonalData']);
Route::get('customers/customers/{id}', [CustomersController::class, 'get']);
Route::patch('customers/customers/{id}', [CustomersController::class, 'patch']);
Route::post('customers/addresses:search', [AddressesController::class, 'search']);
Route::post('customers/addresses', [AddressesController::class, 'create']);
Route::get('customers/addresses/{id}', [AddressesController::class, 'get']);
Route::put('customers/addresses/{id}', [AddressesController::class, 'replace']);
Route::delete('customers/addresses/{id}', [AddressesController::class, 'delete']);
Route::post('customers/addresses/{id}:set-as-default', [AddressesController::class, 'setAsDefault']);
Route::post('customers/statuses:search', [StatusesController::class, 'search']);
Route::post('customers/statuses', [StatusesController::class, 'create']);
Route::get('customers/statuses/{id}', [StatusesController::class, 'get']);
Route::delete('customers/statuses/{id}', [StatusesController::class, 'delete']);
Route::patch('customers/statuses/{id}', [StatusesController::class, 'patch']);
